//restore chosen types
function favTypes(){
	var listT = "";
	var dc = document.cookie.split('; ');
	for (var i=0; i<dc.length;i++){
		var c = dc[i];
		if(c.indexOf('favTypes') != -1){
			listT = c.replace("favTypes='","");
			listT = listT.replace("'","");
			break;
		}
	}
	if(listT!=""){
		$("input[name='docTypes']").prop("checked", false);
		var myTypes = listT.split(" OR ");
		for(var i=0; i<myTypes.length; i ++){
			$("input[value=" + myTypes[i] + "]").prop("checked", true);
		}
	}
}
//button to clear all checked types
function clearTypes(){
	/*if(!$("input[value='all']").is(":checked")){ 
		$("input[value='all']").prop("checked", true);
	}
	$("input[value='all']").trigger("click");*/
	$("input[name='docTypes']").each(function(){
		 $(this).prop("checked", false);
	});
	$("input[name*='CIVIX']").each(function(){
		 $(this).prop("checked", false);
	});
	document.cookie = "favTypes=''";
}

$(document).ready(function() {
	favTypes();
	$("input[value='all']").change(function(){
		var that = $(this);
		$("input[name='docTypes']").each(function(){
			 $(this).prop("checked", that.prop("checked"));
		});
	});
	$("input[name='docTypes']").not("input[value='all']").change(function(){
		var that = $(this);
		$("input[value=" + that.val() + "]").prop("checked", that.prop("checked"));
		if( $("input[value='all']").prop("checked")){
			if(!$(this).is(":checked")){ 
				$("input[value='all']").prop("checked", false);
			}
		} else{
			var chosen = $("input[name='docTypes']:checked").length;
			var choices = $("input[name='docTypes']").length;
			if (chosen==(choices-3)){
				$("input[value='all']").prop("checked", true);
			}
		}
	});
	//store selected types in cookies
	$("input[name='docTypes']").change(function(){
		var doc_types = "";
		if( !$("input[value='all']").prop("checked") ){
			$("input[name='docTypes']").not("input[value='all']").each(function(){
				if($(this).prop("checked")){
					if( doc_types.indexOf($(this).val()) == -1 ){
						doc_types = doc_types + $(this).val() + " ";
					}
				}
			});
		}
		if(doc_types != ""){
			///(?<=\S)\s+(?=\S)/g
			doc_types = doc_types.replace(/\s+(?=\S)/g, " OR ");
		}
		document.cookie = "favTypes='" + doc_types + "'";
	});
	
	//store and retrieve selected bills doctypes in local storage if bills aspect
	if(getIndexOrAspect("aspect") === "bills"){
		var billsDocTypesCheckedValues = JSON.parse(localStorage.getItem('billsDocTypesChecked')) || {};
		$.each(billsDocTypesCheckedValues, function(key, value){
			$("#" + key).prop('checked', value);
		});
		var $billsDocTypes = $("input[name*='CIVIX_BILL_']");
		$billsDocTypes.on("change", function(){
			$billsDocTypes.each(function(){
				billsDocTypesCheckedValues[this.id] = ($("input[id=" + this.id + "]").is(':checked')) ? true : false;
			});
			localStorage.setItem("billsDocTypesChecked", JSON.stringify(billsDocTypesCheckedValues));
		});
	}
	
	
	
});